# main.py
# -*- coding: utf-8 -*-
# cython: language_level=3
from 预定系统.base.Mqtt_Android import Mqtt
from datetime import datetime
import logging

if __name__ == "__main__":
    # 读取配置文件
    configs = Mqtt.read_config_from_csv('../测试数据/MQTT上报数据.csv')

    broker_address = "192.168.5.218"
    port = 1883
    topic = "rebootResponseTopic"

    # 创建MQTT客户端实例
    mqtt_client = Mqtt(broker_address, port)

    try:
        # 连接到MQTT服务器
        mqtt_client.connect()

        # 订阅主题
        mqtt_client.subscribe(topic)

        # 遍历每行配置数据
        for config in configs:
            current_time = datetime.now().strftime("%Y-%m-%d %H:%M:%S")
            message = Mqtt.build_message(config, current_time)
            mqtt_client.send_and_receive_messages(topic, message)

    except Exception as e:
        logging.error(f"连接或订阅MQTT服务器时发生错误: {e}")
    finally:
        # 断开连接
        mqtt_client.disconnect()
